"use strict";
this.name        = "XenonHUD_Equipment";
this.author      = "phkb";
this.copyright   = "2018 phkb";
this.description = "Controls switching of XenonHUD to hi-contrast mode";
this.licence     = "CC BY-NC-SA 4.0";

//======================================================================================================================
// N key - used to turn hi-contrast mode on/off
this.activated = function() {
	var w = worldScripts.XenonHUD;
	// can't change the HUD during a jump countdown
	if (w._jumpCountdownStarted === true) {
		player.consoleMessage("Unable to switch modes during jump countdown.");
		return;
	}

	if (w._mode == "") {
		player.consoleMessage("Hi-contrast mode activated");
		w._mode = "_hicontrast";
	} else {
		player.consoleMessage("Normal mode activated");
		w._mode = "";
	}
	w.guiScreenChanged("", "");
	this.$playSound("mode"); // we'll use the same sound for mode and activate
}

//======================================================================================================================
// B key - used to cycle through the different crosshair modes
this.mode = function() {
	var w = worldScripts.XenonHUD;
	w._crosshairMode += 1;
	if (w._crosshairMode == 3) w._crosshairMode = 0;
	switch (w._crosshairMode) {
		case 0:
			player.consoleMessage("Crosshairs on in all conditions");
			break;
		case 1:
			player.consoleMessage("Crosshairs on in condition red only");
			break;
		case 2:
			player.consoleMessage("Crosshairs on in condition yellow and red only");
			break;
	}
	w.$displayCrosshairs();
	this.$playSound("mode");
}

//-------------------------------------------------------------------------------------------------------------
// play sound effects
this.$playSound = function(soundtype) {
	var mySound = new SoundSource;

	switch (soundtype) {
		case "mode":
			mySound.sound = "[@click]";
			break;
		case "activate":
			mySound.sound = "[@beep]";
			break;
		case "stop":
			mySound.sound = "[@boop]";
			break;
	}
	mySound.loop = false;
	mySound.play();
}
